Ubuntu

[MAVERICK] Touchscreen not functional x220

Reported by Manoj Iyer on 2011-03-31
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Manoj Iyer
Maverick
Medium
Manoj Iyer
Natty
Medium
Manoj Iyer
Oneiric
Medium
Manoj Iyer
xf86-input-wacom (Ubuntu)
Undecided
Timo Aaltonen
Maverick
Undecided
Timo Aaltonen
Natty
Undecided
Timo Aaltonen
Oneiric
Undecided
Unassigned

Bug Description

Platform: X220-Tablet

CPU: Sandy Bridge
GPU: Integrated

Touchscreen: Bus 002 Device 004: ID 056a:00e6 Wacom Co., Ltd

Summary:
The touchscreen doesn't function. Touching the screen does not move the cursor or send a click event.

Steps to reproduce:
1) Install GM1
2) Try to use touchscreen
3) Note no action occurs

Expected results:
Tapping the screen changes the cursor's position

Actual results:
No action

    10.497] (II) config/udev: Adding input device Wacom ISDv4 E6 Pen (/dev/input/event5)
[ 10.497] (**) Wacom ISDv4 E6 Pen: Applying InputClass "evdev tablet catchall"
[ 10.497] (**) Wacom ISDv4 E6 Pen: Applying InputClass "Wacom class"
[ 10.497] (II) LoadModule: "wacom"
[ 10.498] (II) Loading /usr/lib/xorg/modules/input/wacom_drv.so
[ 10.498] (II) Module wacom: vendor="X.Org Foundation"
[ 10.498] compiled for 1.8.99.905, module version = 0.10.8
[ 10.498] Module class: X.Org XInput Driver
[ 10.498] ABI class: X.Org XInput driver, version 11.0
[ 10.498] (**) Option "Device" "/dev/input/event5"
[ 10.528] (II) Wacom ISDv4 E6 Pen: type not specified, assuming 'stylus'.
[ 10.528] (II) Wacom ISDv4 E6 Pen: other types will be automatically added.
[ 10.528] (**) Wacom ISDv4 E6 Pen stylus: always reports core events
[ 10.528] (--) Wacom ISDv4 E6 Pen stylus: using pressure threshold of 27 for button 1
[ 10.528] (--) Wacom ISDv4 E6 Pen stylus: Wacom Unknown USB tablet maxX=27760 maxY=15694 maxZ=255 resX=1016 resY=1016 tilt=enabled
[ 10.528] (II) Wacom ISDv4 E6 Pen stylus: hotplugging dependent devices.
[ 10.528] (**) Wacom ISDv4 E6 Pen eraser: Applying InputClass "evdev tablet catchall"
[ 10.528] (**) Wacom ISDv4 E6 Pen eraser: Applying InputClass "Wacom class"
[ 10.528] (**) Option "Device" "/dev/input/event5"
[ 10.560] (**) Wacom ISDv4 E6 Pen eraser: always reports core events
[ 10.560] (--) Wacom ISDv4 E6 Pen eraser: Wacom Unknown USB tablet maxX=27760 maxY=15694 maxZ=255 resX=1016 resY=1016 tilt=enabled
[ 10.592] (II) XINPUT: Adding extended input device "Wacom ISDv4 E6 Pen eraser" (type: ERASER)

Manoj Iyer (manjo) wrote :

I tested the x220 with the packages I built in

 http://kernel.ubuntu.com/~manjo/maverick/lp705000/

and I was able to use the touch screen, pen, double click to select etc. I have upstreamed the kernel patch and timo is upstreaming the userspace patch as well. upstream has changed the driver resolution reporting a little bit, and it has not landed in the linus tree but it is in the maintainers for-linus tree. I am waiting on them to give me a go head to generate a patch based on for-linus tree or I will wait for the patch to land in linus tree (not sure when the merge will happen). So for now jamesf can create a dkms package and I will sru the current patch as is in Maverick.

Manoj Iyer (manjo) wrote :

SRU JUSTIFICATION
================

IMPACT
=======
Touch screen not functional.

FIX
===
User space patch and a kernel patch required to fix this issue, submitted kernel patch upstream.

TEST
====
I tested this on the X220, the touch screen works with finger and pen, I am able to double click to select.

tags: added: hwe-blocker
Timo Aaltonen (tjaalton) on 2011-04-01
Changed in xf86-input-wacom (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → In Progress
Chris Van Hoof (vanhoof) on 2011-04-04
Changed in linux (Ubuntu):
assignee: nobody → Manoj Iyer (manjo)
Tim Gardner (timg-tpi) on 2011-04-05
Changed in linux (Ubuntu Maverick):
assignee: nobody → Manoj Iyer (manjo)
status: New → Fix Committed
Changed in linux (Ubuntu Natty):
status: New → Fix Committed
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Manoj Iyer (manjo)
status: New → In Progress
Timo Aaltonen (tjaalton) wrote :

Manoj: upstream confirmed that the doubled resolution value is correct, so you don't need to test it again if it's problematic.

bugbot (bugbot) on 2011-04-09
tags: added: maverick
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-8.42

---------------
linux (2.6.38-8.42) natty; urgency=low

  [ David Henningsson ]

  * SAUCE: (drop after 2.6.38) ALSA: HDA: Fix dock mic for Lenovo
    X220-tablet
    - LP: #751033

  [ Gustavo F. Padovan ]

  * SAUCE: Revert "Bluetooth: Add new PID for Atheros 3011"
    - LP: #720949

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: (drop after 2.6.39) v4l: make sure drivers supply a zeroed
    struct v4l2_subdev
    - LP: #745213

  [ John Johansen ]

  * AppArmor: Fix masking of capabilities in complain mode
    - LP: #748656

  [ Leann Ogasawara ]

  * [Config] Disable CONFIG_RTS_PSTOR for armel, powerpc

  [ Manoj Iyer ]

  * SAUCE: (drop after 2.6.38) add support for Lenovo tablet ID (0xE6)
    - LP: #746652

  [ Steve Langasek ]

  * [Config] Make linux-libc-dev coinstallable under multiarch
    - LP: #750585

  [ Tim Gardner ]

  * [Config] CONFIG_RTS_PSTOR=m
    - LP: #698006

  [ Upstream Kernel Changes ]

  * Revert "tcp: disallow bind() to reuse addr/port"
    - LP: #731878
  * ALSA: HDA: Add dock mic quirk for Lenovo Thinkpad X220
    - LP: #746259
  * ALSA: HDA: New AD1984A model for Dell Precision R5500
    - LP: #741516
  * Input: sparse-keymap - report scancodes with key events
  * Input: sparse-keymap - report KEY_UNKNOWN for unknown scan codes
  * KVM: SVM: Load %gs earlier if CONFIG_X86_32_LAZY_GS=n
    - LP: #729085
  * watchdog: sp5100_tco.c: Check if firmware has set correct value in
    tcobase.
    - LP: #740011
  * staging: add rts_pstor for Realtek PCIE cardreader
    - LP: #698006
  * staging: fix rts_pstor build errors
    - LP: #698006
  * Staging: rts_pstor: fixed some brace code styling issues
    - LP: #698006
  * staging: rts_pstor: potential NULL dereference
    - LP: #698006
  * Staging: rts_pstor: fix read past end of buffer
    - LP: #698006
  * staging: rts_pstor: delete a function
    - LP: #698006
  * staging: rts_pstor: fix sparse warning
    - LP: #698006
  * staging: rts_pstor: fix a bug that a greenhouse sd card can't be
    recognized
    - LP: #698006
  * staging: rts_pstor: optimize kmalloc to kzalloc
    - LP: #698006
  * staging: rts_pstor: MSXC card power class
    - LP: #698006
  * staging: rts_pstor: modify initial card clock
    - LP: #698006
  * staging: rts_pstor: set lun_mode in a different place
    - LP: #698006
  * x86, hibernate: Initialize mmu_cr4_features during boot
    - LP: #752870
 -- Leann Ogasawara <email address hidden> Fri, 08 Apr 2011 09:24:59 -0700

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xf86-input-wacom - 1:0.10.11-0ubuntu4

---------------
xf86-input-wacom (1:0.10.11-0ubuntu4) natty; urgency=low

  * 102_add_support_for_lenovo_x220.diff: Add an id for Lenovo X220
    tablet. (LP: #746652)
 -- Timo Aaltonen <email address hidden> Mon, 11 Apr 2011 10:56:02 +0300

Changed in xf86-input-wacom (Ubuntu Natty):
status: In Progress → Fix Released
Chris Van Hoof (vanhoof) wrote :

Thanks Timo -- I've assigned you the Maverick task here as well since the kernel bits will land via SRU. I'm not sure if this is do-able for Maverick, if not please feel free to mark the task Invalid

Changed in xf86-input-wacom (Ubuntu Maverick):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Natty):
importance: Undecided → Medium
Changed in linux (Ubuntu Maverick):
importance: Undecided → Medium

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-maverick
Timo Aaltonen (tjaalton) wrote :

uploaded a patched -wacom to maverick, waiting in the queue.

Changed in xf86-input-wacom (Ubuntu Maverick):
status: New → In Progress
Manoj Iyer (manjo) wrote :

Installed the proposed kernel, wacom touch device is enabled, need Timos userspace package to enable full functionality. But the kernel changes work.

Martin Pitt (pitti) on 2011-05-04
tags: added: verification-done verification-done-maverick
removed: verification-needed-maverick
Martin Pitt (pitti) wrote :

-wacom was fixed in natty proper, thus it should also be fixed in oneiric.

Changed in xf86-input-wacom (Ubuntu Oneiric):
status: New → Fix Released
Changed in xf86-input-wacom (Ubuntu Maverick):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted xf86-input-wacom into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

David Duffey (david-duffey) wrote :

I have an x220i tablet with the same wacom lsusb device id running Natty.

Basic pen functionality works, but single touch finger touch does not.

When touching with the finger, the pointer follows the finger, but upon release the pointer goes to the top left.

The effect is:

Touching icons in the launcher:
 * does not launch, instead "scrolls" the launcher when releasing
Dragging a window
 * ends up always dragging the window to the top left
Using gimp to draw a circle
 * canvas correctly paints until releasing the finger, at which
    point a line is drawn to the top left

I am using Natty, updated, and using the latest proposed kernel
 * Linux thinktablet 2.6.38-9-generic #43-Ubuntu SMP Thu Apr 28 15:23:06 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Let me know if I should open a new bug report with more details.
I can provide testing if given guidance.

David

Timo Aaltonen (tjaalton) wrote :

Yeah please open a new bug about it. The new -wacom version (0.11) might be something to try, and then backport a fix for natty. I could provide you with a package.

David Duffey (david-duffey) wrote :

I have opened a new bug with a Lenovo X220i Tablet.

https://bugs.launchpad.net/ubuntu/+source/xf86-input-wacom/+bug/787781

I would be happy to test a new package.

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 2.6.35-30.54

---------------
linux (2.6.35-30.54) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #794114

  [ Upstream Kernel Changes ]

  * Revert "xhci: Fix full speed bInterval encoding."
  * Revert "USB: xhci - also free streams when resetting devices"
  * Revert "USB: xhci - fix math in xhci_get_endpoint_interval()"
  * Revert "USB: xhci - fix unsafe macro definitions"

linux (2.6.35-30.53) maverick-proposed; urgency=low

  [ Upstream Kernel Changes ]

  * xhci: Fix full speed bInterval encoding.
    - LP: #792959

linux (2.6.35-30.52) maverick-proposed; urgency=low

  [ Herton R. Krzesinski ]

  * Release Tracking Bug
    - LP: #790653

  [ Stefan Bader ]

  * Include nls_iso8859-1 for virtual images
    - LP: #732046

  [ Thomas Schlichter ]

  * SAUCE: vesafb: mtrr module parameter is uint, not bool
    - LP: #778043

  [ Tim Gardner ]

  * [Config] Add cachefiles.ko to virtual flavour
    - LP: #770430

  [ Upstream Kernel Changes ]

  * Revert "intel_idle: PCI quirk to prevent Lenovo Ideapad s10-3 boot
    hang"
    - LP: #772560
  * Revert "TPM: Long default timeout fix"
    - LP: #772560
  * Revert "tpm_tis: Use timeouts returned from TPM"
    - LP: #772560
  * Revert "xen: set max_pfn_mapped to the last pfn mapped"
  * CAN: Use inode instead of kernel address for /proc file, CVE-2010-4565
    - LP: #765007
    - CVE-2010-4565
  * xfs: prevent leaking uninitialized stack memory in FSGEOMETRY_V1,
    CVE-2011-0711
    - LP: #767740
    - CVE-2011-0711
  * Treat writes as new when holes span across page boundaries,
    CVE-2011-0463
    - LP: #770483
    - CVE-2011-0463
  * fs/partitions/ldm.c: fix oops caused by corrupted partition table,
    CVE-2011-1017
    - LP: #771382
    - CVE-2011-1017
  * qla2xxx: Make the FC port capability mutual exclusive.
    - LP: #772560
  * staging: usbip: bugfixes related to kthread conversion
    - LP: #772560
  * staging: usbip: bugfix add number of packets for isochronous frames
    - LP: #772560
  * staging: usbip: bugfix for isochronous packets and optimization
    - LP: #772560
  * staging: hv: Fix GARP not sent after Quick Migration
    - LP: #772560
  * staging: hv: use sync_bitops when interacting with the hypervisor
    - LP: #772560
  * irda: validate peer name and attribute lengths
    - LP: #772560
  * irda: prevent heap corruption on invalid nickname
    - LP: #772560
  * nilfs2: fix data loss in mmap page write for hole blocks
    - LP: #772560
  * ASoC: Explicitly say registerless widgets have no register
    - LP: #772560
  * ALSA: ens1371: fix Creative Ectiva support
    - LP: #772560
  * ROSE: prevent heap corruption with bad facilities
    - LP: #772560
  * Btrfs: Fix uninitialized root flags for subvolumes
    - LP: #772560
  * x86, mtrr, pat: Fix one cpu getting out of sync during resume
    - LP: #772560
  * UBIFS: do not read flash unnecessarily
    - LP: #772560
  * UBIFS: fix oops on error path in read_pnode
    - LP: #772560
  * UBIFS: fix debugging failure in dbg_check_space_info
    - LP: #772560
  * quota: Don't write quota info in dquot_commit()
    - LP: #772560
  * mm: avoid wrapping vm_...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Chris Van Hoof (vanhoof) wrote :

Marking the Oneiric kernel task Fix Released as this patch landed upstream in 2.6.39-rc2

Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Released
Ayan George (ayan) on 2011-08-31
tags: added: blocks-hwcert-enablement
James M. Leddy (jm-leddy) wrote :

Fix in Maverick is still blocking on successful test there with -proposed.

Chris Wayne (cwayne18) wrote :

I can confirm that the fix works in maverick -proposed.

Chris Van Hoof (vanhoof) wrote :

Thanks Chris! Updating tags to verification-done based on Comment #20 for Maverick (which is the last remaining task here for SRU)

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xf86-input-wacom - 1:0.10.8-0ubuntu1.1

---------------
xf86-input-wacom (1:0.10.8-0ubuntu1.1) maverick-proposed; urgency=low

  * 102_add_support_for_lenovo_x220.diff: Add an id for Lenovo X220
    tablet. (LP: #746652)
 -- Timo Aaltonen <email address hidden> Wed, 04 May 2011 14:43:56 +0300

Changed in xf86-input-wacom (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers